package de.oaa.xxx.social.repository;

import de.oaa.xxx.social.entity.PinnwandLikeEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.UUID;

public interface PinnwandLikeRepository extends JpaRepository<PinnwandLikeEntity, UUID> {

    long countByEintragId(UUID eintragId);

    Optional<PinnwandLikeEntity> findByEintragIdAndUserId(UUID eintragId, UUID userId);

    void deleteByEintragId(UUID eintragId);

    void deleteByUserId(UUID userId);
}
